#/bin/sh
# my quick hack at script to demo a stripped-down tao on linux

set -xve

# Eek!  Can't use minimum corba - my client requires dii.  Maybe later.
#OPTS="minimum_corba=1 debug=0 exceptions=0 optimize=1 DEFFLAGS=-DACE_NLOGGING"
OPTS="minimum_corba=0 debug=0 exceptions=0 optimize=1 DEFFLAGS=-DACE_NLOGGING"

rm -rf ACE_wrappers
tar -xzvf ACE+TAO.tar.gz
cd ACE_wrappers
ACE_ROOT=`pwd`
export ACE_ROOT
TAO_ROOT=$ACE_ROOT/TAO
export TAO_ROOT
LD_LIBRARY_PATH=$ACE_ROOT/ace
export LD_LIBRARY_PATH

ln -s config-linux.h $ACE_ROOT/ace/config.h
ln -s platform_linux.GNU $ACE_ROOT/include/makeinclude/platform_macros.GNU
set -xve

for dir in $ACE_ROOT/ace $ACE_ROOT/apps/gperf $TAO_ROOT/tao $TAO_ROOT/TAO_IDL $TAO_ROOT/orbsvcs/orbsvcs
do
	make -C $dir $OPTS
done


